set @DAY_OFFSET = 4;
#SET @WDATES='2022-07-15 00:00:00';
#SET @WDATEE='2022-07-21 00:00:00';

#CREATE TABLE tx_4G_accedian_day_city AS 
REPLACE INTO npm.tx_4G_accedian_day_city 

(SELECT 
    cast(DATA as date) as 'DATEX',
    pb.UF AS 'UF',
    if(ep.CITY is null,'UNKNOWN',ep.CITY) AS 'CITY',

    COUNT(DISTINCT pb.SITE) AS 'SITES_NB',
    
    AVG(PKT_LOSS_DOWN) AS 'PKT_LOSS_DOWN_AVG',
    SUM(IF(PKT_LOSS_DOWN IS NOT NULL, 1, 0)) AS 'PKT_LOSS_DOWN_SAMPLES',
    SUM(IF(PKT_LOSS_DOWN = 0, 1, 0)) AS 'SAMPLES_PLD_=_0_NB',
    SUM(IF(PKT_LOSS_DOWN > 0, 1, 0)) AS 'SAMPLES_PLD_>_0_NB',
    SUM(IF(PKT_LOSS_DOWN > 0.1, 1, 0)) AS 'SAMPLES_PLD_>_0.1_NB',
    SUM(IF(PKT_LOSS_DOWN > 0.5, 1, 0)) AS 'SAMPLES_PLD_>_0.5_NB',
    SUM(IF(PKT_LOSS_DOWN > 1, 1, 0)) AS 'SAMPLES_PLD_>_1_NB',

    IF(SUM(IF(PKT_LOSS_DOWN IS NOT NULL, 1, 0))=0,-10,SUM(IF(PKT_LOSS_DOWN = 0, 1, 0))/SUM(IF(PKT_LOSS_DOWN IS NOT NULL, 1, 0))) AS 'SAMPLES_PLD_=_0_RATE',
    IF(SUM(IF(PKT_LOSS_DOWN IS NOT NULL, 1, 0))=0,-10,SUM(IF(PKT_LOSS_DOWN > 0, 1, 0))/SUM(IF(PKT_LOSS_DOWN IS NOT NULL, 1, 0))) AS 'SAMPLES_PLD_>_0_RATE',
    IF(SUM(IF(PKT_LOSS_DOWN IS NOT NULL, 1, 0))=0,-10,SUM(IF(PKT_LOSS_DOWN > 0.1, 1, 0))/SUM(IF(PKT_LOSS_DOWN IS NOT NULL, 1, 0))) AS 'SAMPLES_PLD_>_0.1_RATE',
    IF(SUM(IF(PKT_LOSS_DOWN IS NOT NULL, 1, 0))=0,-10,SUM(IF(PKT_LOSS_DOWN > 0.5, 1, 0))/SUM(IF(PKT_LOSS_DOWN IS NOT NULL, 1, 0))) AS 'SAMPLES_PLD_>_0.5_RATE',
    IF(SUM(IF(PKT_LOSS_DOWN IS NOT NULL, 1, 0))=0,-10,SUM(IF(PKT_LOSS_DOWN > 1, 1, 0))/SUM(IF(PKT_LOSS_DOWN IS NOT NULL, 1, 0))) AS 'SAMPLES_PLD_>_1_RATE',

    AVG(PKT_LOSS_UP) AS 'PKT_LOSS_UP_AVG',
    SUM(IF(PKT_LOSS_UP IS NOT NULL, 1, 0)) AS 'PKT_LOSS_UP_SAMPLES',
    SUM(IF(PKT_LOSS_UP = 0.1, 1, 0)) AS 'SAMPLES_PLU_=_0_NB',
    SUM(IF(PKT_LOSS_UP > 0, 1, 0)) AS 'SAMPLES_PLU_>_0_NB',
    SUM(IF(PKT_LOSS_UP > 0.1, 1, 0)) AS 'SAMPLES_PLU_>_0.1_NB',
    SUM(IF(PKT_LOSS_UP > 0.5, 1, 0)) AS 'SAMPLES_PLU_>_0.5_NB',
    SUM(IF(PKT_LOSS_UP > 1, 1, 0)) AS 'SAMPLES_PLU_>_1_NB',

    IF(SUM(IF(PKT_LOSS_UP IS NOT NULL, 1, 0))=0,-10,SUM(IF(PKT_LOSS_UP = 0.1, 1, 0))/SUM(IF(PKT_LOSS_UP IS NOT NULL, 1, 0))) AS 'SAMPLES_PLU_=_0_RATE',
    IF(SUM(IF(PKT_LOSS_UP IS NOT NULL, 1, 0))=0,-10,SUM(IF(PKT_LOSS_UP > 0, 1, 0))/SUM(IF(PKT_LOSS_UP IS NOT NULL, 1, 0))) AS 'SAMPLES_PLU_>_0_RATE',
    IF(SUM(IF(PKT_LOSS_UP IS NOT NULL, 1, 0))=0,-10,SUM(IF(PKT_LOSS_UP > 0.1, 1, 0))/SUM(IF(PKT_LOSS_UP IS NOT NULL, 1, 0))) AS 'SAMPLES_PLU_>_0.1_RATE',
    IF(SUM(IF(PKT_LOSS_UP IS NOT NULL, 1, 0))=0,-10,SUM(IF(PKT_LOSS_UP > 0.5, 1, 0))/SUM(IF(PKT_LOSS_UP IS NOT NULL, 1, 0))) AS 'SAMPLES_PLU_>_0.5_RATE',
    IF(SUM(IF(PKT_LOSS_UP IS NOT NULL, 1, 0))=0,-10,SUM(IF(PKT_LOSS_UP > 1, 1, 0))/SUM(IF(PKT_LOSS_UP IS NOT NULL, 1, 0))) AS 'SAMPLES_PLU_>_1_RATE',

    AVG(DELAY_DOWN) AS 'DELAY_DOWN_AVG',
    SUM(IF(DELAY_DOWN IS NOT NULL, 1, 0)) AS 'DELAY_DOWN_SAMPLES',
    SUM(IF(DELAY_DOWN <= 5, 1, 0)) AS 'SAMPLES_DED_<=_5_NB',    
    SUM(IF(DELAY_DOWN > 5, 1, 0)) AS 'SAMPLES_DED_>_5_NB',
    SUM(IF(DELAY_DOWN > 10, 1, 0)) AS 'SAMPLES_DED_>_10_NB',
    SUM(IF(DELAY_DOWN > 15, 1, 0)) AS 'SAMPLES_DED_>_15_NB',
    SUM(IF(DELAY_DOWN > 20, 1, 0)) AS 'SAMPLES_DED_>_20_NB',
    
    IF(SUM(IF(DELAY_DOWN IS NOT NULL, 1, 0))=0,-10,SUM(IF(DELAY_DOWN <= 5, 1, 0))/SUM(IF(DELAY_DOWN IS NOT NULL, 1, 0))) AS 'SAMPLES_DED_<=_5_RATE',
    IF(SUM(IF(DELAY_DOWN IS NOT NULL, 1, 0))=0,-10,SUM(IF(DELAY_DOWN > 5, 1, 0))/SUM(IF(DELAY_DOWN IS NOT NULL, 1, 0))) AS 'SAMPLES_DED_>_5_RATE',
    IF(SUM(IF(DELAY_DOWN IS NOT NULL, 1, 0))=0,-10,SUM(IF(DELAY_DOWN > 10, 1, 0))/SUM(IF(DELAY_DOWN IS NOT NULL, 1, 0))) AS 'SAMPLES_DED_>_10_RATE',
    IF(SUM(IF(DELAY_DOWN IS NOT NULL, 1, 0))=0,-10,SUM(IF(DELAY_DOWN > 15, 1, 0))/SUM(IF(DELAY_DOWN IS NOT NULL, 1, 0))) AS 'SAMPLES_DED_>_15_RATE',
    IF(SUM(IF(DELAY_DOWN IS NOT NULL, 1, 0))=0,-10,SUM(IF(DELAY_DOWN > 20, 1, 0))/SUM(IF(DELAY_DOWN IS NOT NULL, 1, 0))) AS 'SAMPLES_DED_>_20_RATE',

    AVG(DELAY_UP) AS 'DELAY_UP_AVG',
    SUM(IF(DELAY_UP IS NOT NULL, 1, 0)) AS 'DELAY_UP_SAMPLES',
    SUM(IF(DELAY_UP <= 5, 1, 0)) AS 'SAMPLES_DEU_<=_5_NB',    
    SUM(IF(DELAY_UP > 5, 1, 0)) AS 'SAMPLES_DEU_>_5_NB',
    SUM(IF(DELAY_UP > 10, 1, 0)) AS 'SAMPLES_DEU_>_10_NB',
    SUM(IF(DELAY_UP > 15, 1, 0)) AS 'SAMPLES_DEU_>_15_NB',
    SUM(IF(DELAY_UP > 20, 1, 0)) AS 'SAMPLES_DEU_>_20_NB',

    IF(SUM(IF(DELAY_UP IS NOT NULL, 1, 0))=0,-10,SUM(IF(DELAY_UP <= 5, 1, 0))/SUM(IF(DELAY_UP IS NOT NULL, 1, 0))) AS 'SAMPLES_DEU_<=_5_RATE',  
    IF(SUM(IF(DELAY_UP IS NOT NULL, 1, 0))=0,-10,SUM(IF(DELAY_UP > 5, 1, 0))/SUM(IF(DELAY_UP IS NOT NULL, 1, 0))) AS 'SAMPLES_DEU_>_5_RATE',
    IF(SUM(IF(DELAY_UP IS NOT NULL, 1, 0))=0,-10,SUM(IF(DELAY_UP > 10, 1, 0))/SUM(IF(DELAY_UP IS NOT NULL, 1, 0))) AS 'SAMPLES_DEU_>_10_RATE',
    IF(SUM(IF(DELAY_UP IS NOT NULL, 1, 0))=0,-10,SUM(IF(DELAY_UP > 15, 1, 0))/SUM(IF(DELAY_UP IS NOT NULL, 1, 0))) AS 'SAMPLES_DEU_>_15_RATE',
    IF(SUM(IF(DELAY_UP IS NOT NULL, 1, 0))=0,-10,SUM(IF(DELAY_UP > 20, 1, 0))/SUM(IF(DELAY_UP IS NOT NULL, 1, 0))) AS 'SAMPLES_DEU_>_20_RATE',
    
    AVG(PDV_DOWN) AS 'PDV_DOWN_AVG',
    SUM(IF(PDV_DOWN IS NOT NULL, 1, 0)) AS 'PDV_DOWN_SAMPLES',
    SUM(IF(PDV_DOWN <= 2, 1, 0)) AS 'SAMPLES_PDD_<=_2_NB',
    SUM(IF(PDV_DOWN > 2, 1, 0)) AS 'SAMPLES_PDD_>_2_NB',
    SUM(IF(PDV_DOWN > 4, 1, 0)) AS 'SAMPLES_PDD_>_4_NB',
    SUM(IF(PDV_DOWN > 8, 1, 0)) AS 'SAMPLES_PDD_>_8_NB',

    IF(SUM(IF(PDV_DOWN IS NOT NULL, 1, 0))=0,-10,SUM(IF(PDV_DOWN <= 2, 1, 0))/SUM(IF(PDV_DOWN IS NOT NULL, 1, 0))) AS 'SAMPLES_PDD_<=_2_RATE',
    IF(SUM(IF(PDV_DOWN IS NOT NULL, 1, 0))=0,-10,SUM(IF(PDV_DOWN > 2, 1, 0))/SUM(IF(PDV_DOWN IS NOT NULL, 1, 0))) AS 'SAMPLES_PDD_>_2_RATE',
    IF(SUM(IF(PDV_DOWN IS NOT NULL, 1, 0))=0,-10,SUM(IF(PDV_DOWN > 4, 1, 0))/SUM(IF(PDV_DOWN IS NOT NULL, 1, 0))) AS 'SAMPLES_PDD_>_4_RATE',
   IF(SUM(IF(PDV_DOWN IS NOT NULL, 1, 0))=0,-10,SUM(IF(PDV_DOWN > 8, 1, 0))/SUM(IF(PDV_DOWN IS NOT NULL, 1, 0))) AS 'SAMPLES_PDD_>_8_RATE',

    AVG(PDV_UP) AS 'PDV_UP_AVG',
    SUM(IF(PDV_UP IS NOT NULL, 1, 0)) AS 'PDV_UP_SAMPLES',
    SUM(IF(PDV_UP <= 2, 1, 0)) AS 'SAMPLES_PDU_<=_2_NB',
    SUM(IF(PDV_UP > 2, 1, 0)) AS 'SAMPLES_PDU_>_2_NB',
    SUM(IF(PDV_UP > 4, 1, 0)) AS 'SAMPLES_PDU_>_4_NB',
    SUM(IF(PDV_UP > 8, 1, 0)) AS 'SAMPLES_PDU_>_8_NB',

    IF(SUM(IF(PDV_UP IS NOT NULL, 1, 0))=0,-10,SUM(IF(PDV_UP <= 2, 1, 0))/SUM(IF(PDV_UP IS NOT NULL, 1, 0))) AS 'SAMPLES_PDU_<=_2_RATE',
    IF(SUM(IF(PDV_UP IS NOT NULL, 1, 0))=0,-10,SUM(IF(PDV_UP > 2, 1, 0))/SUM(IF(PDV_UP IS NOT NULL, 1, 0))) AS 'SAMPLES_PDU_>_2_RATE',
    IF(SUM(IF(PDV_UP IS NOT NULL, 1, 0))=0,-10,SUM(IF(PDV_UP > 4, 1, 0))/SUM(IF(PDV_UP IS NOT NULL, 1, 0))) AS 'SAMPLES_PDU_>_4_RATE',
    IF(SUM(IF(PDV_UP IS NOT NULL, 1, 0))=0,-10,SUM(IF(PDV_UP > 8, 1, 0))/SUM(IF(PDV_UP IS NOT NULL, 1, 0))) AS 'SAMPLES_PDU_>_8_RATE'
    
FROM 
    npm.tx_4g_accedian_hour AS pb
LEFT JOIN
    huawei_ept.RF_LTE AS ep
    ON mid(pb.SITE,2,3)=ep.SIT_ACR AND pb.UF=ep.STATE
WHERE 
    pb.DATA>=(SELECT MAX(pb.DATA) FROM npm.tx_4g_accedian_hour)-INTERVAL @DAY_OFFSET DAY
    #pb.DATA>=@WDATES AND pb.DATA<@WDATEE 
GROUP BY
    1, 2, 3)
;